Skip to Navigation | Skip to Content

Concerns About Internet Explorer 7

« ITS & NYU Libraries Classes | Main | Critical Scheduled Maintenance: 11/17 »

Microsoft has begun offering a new version of its browser, Internet Explorer. Information on the compatibility of Internet Explorer 7.0 with NYU websites and applications is limited at this point. ITS recommends that you use your current browser version, rather than installing Internet Explorer 7.0, while compatibility evaluation continues. If you have installed Internet Explorer 7.0 and are experiencing difficulty, please contact ITS Client Services at 212-998-3333 or its.clientservices@nyu.edu. Please check back to this location for updated information on Internet Explorer 7.0.